Bug 463710 - [LTC 6.0 FEAT] 201743:FCP - SCSI error recovery hardening
[LTC 6.0 FEAT] 201743:FCP - SCSI error recovery hardening
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
s390x All
high Severity high
: alpha
: ---
Assigned To: Hans-Joachim Picht
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741 465491
  Show dependency treegraph
 
Reported: 2008-09-24 03:20 EDT by IBM Bug Proxy
Modified: 2010-06-08 10:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-14 10:53:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 03:20:39 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:23 EDT
1. Feature Overview:
Feature Id:	[201743]
a. Name of Feature:	FCP - SCSI error recovery hardening
b. Feature Description
Improve error recovery cooperation between SCSI-mid-layer and zFCP by allowing the SCSI error
receovery to wait for completion of the zFCP error recovery

2. Feature Details:
Sponsor:	zSeries
Architectures:
s390x

Arch Specificity: Both
Affects Core Kernel: Yes
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	RAS
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	In Progress
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.29

3. Business Case
Increase stability and availability in scenarios of error recovery, for example firmware/uCode
upgrade, providing customers a more reliable 24x7 system.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hans-Georg Markgraf, mgrf@de.ibm.com, Boeblingen 49-7031-16-3978

Technical contact(s):
Gonzalo Muelas Serrano, gmuelas@de.ibm.com

IBM Manager:
Thomas Schwarz, t.schwarz@de.ibm.com
Comment 1 IBM Bug Proxy 2009-03-03 17:31:18 EST
working upstream for k 2.6.30

expect to come via upstream
Comment 2 IBM Bug Proxy 2009-04-09 04:50:55 EDT
------- Comment From mgrf@de.ibm.com 2009-04-09 04:47 EDT-------
The code for this feature is upstream accepted with k 2.6.30
Comment 3 IBM Bug Proxy 2010-06-08 10:52:18 EDT
------- Comment From mgrf@de.ibm.com 2010-06-08 10:44 EDT-------
This feature is  verified on R6 snapshots
set feature to verified - thx

Note You need to log in before you can comment on or make changes to this bug.